Subject: bug#548 closed by [email-masked] (#548: fixed in src:eudev version 3.2.9-9)

From: "Devuan bug Tracking System" <[email-masked]>
Date: Sun, 28 Feb 2021 18:33:48 +0000

This is an automatic notification regarding your bug report
which was filed against the eudev package:

#548: eudev: postinst fails when kvm group present

It has been closed by [email-masked].

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact [email-masked] by
replying to this email.

-- 
548: https://bugs.devuan.org/cgi/bugreport.cgi?bug=548
Devuan Bug Tracking System
Contact [email-masked] with problems

Subject: #548: fixed in src:eudev version 3.2.9-9
From: [email-masked]
To: [email-masked]
Date: Sun, 28 Feb 2021 18:15:18 +0000

Version: 3.2.9-9

Source package eudev (3.2.9-9) added to Devuan suite unstable.

This closes bug report 548.

Thanks

DAK managing the Devuan archive

Format: 1.8
Date: Fri, 26 Feb 2021 13:49:24 +0100
Source: eudev
Architecture: source
Version: 3.2.9-9
Distribution: unstable
Urgency: medium
Maintainer: Devuan Dev Team <[email-masked]>
Changed-By: Svante Signell <[email-masked]>
Closes: 527 538 548
Changes:
 eudev (3.2.9-9) unstable; urgency=medium
 .
   * debian/rules: Add --bindir=/bin to CONFFLAGS to fix path in 64-btrfs.rules.
     Problem found upstream: https://bugs.gentoo.org/739268 (Closes: #527, #538)
   * debian/eudev.postinst: Fix postinst when input, kvm or render groups, with
     gid >= 1000 are present. Solution proposed by Bob Proulx <[email-masked]>
     (Closes: #548)
Checksums-Sha1:
 e390dd847746a1d010e72b83b784ad383ae54e2a 2345 eudev_3.2.9-9.dsc
 fd2e0f54064a9f057016246749054007ab52fa0a 62368 eudev_3.2.9-9.debian.tar.xz
 e7cb1a0ec0259c408de7dd9c7462090277f66a86 5154 eudev_3.2.9-9_source.buildinfo
Checksums-Sha256:
 fe8b82f8727eea2e65ac3ab296a1971c5544380dc17064b21b0d3eea2d7a9b98 2345 eudev_3.2.9-9.dsc
 69a0b9b8187f061fbc3b4365a294f2c9a8676fbeba35b1a2b7cbae827a8f7191 62368 eudev_3.2.9-9.debian.tar.xz
 13b4a65fb342fa91c9da0c0dac342e5c556bb69b8a199232b856883b48e4aedd 5154 eudev_3.2.9-9_source.buildinfo
Files:
 253dcad1ff87a0862224435eb81ef6fc 2345 admin optional eudev_3.2.9-9.dsc
 665699c5a11e75f67223f9e13e9bcf46 62368 admin optional eudev_3.2.9-9.debian.tar.xz
 900fc1146f86b024c22cfcce7f8f189c 5154 admin optional eudev_3.2.9-9_source.buildinfo

Subject: eudev: postinst fails when kvm group present
From: Meeuwissen Olaf <[email-masked]>
To: Devuan Bug Tracking System <[email-masked]>
Date: Mon, 15 Feb 2021 00:58:27 +0000

Package: eudev
Version: 3.2.9-8~beowulf1
Severity: normal

Dear Maintainer,

I just upgraded a number of packages on a machine where I had
manually added a `kvm` group.  This caused the postinst script
to fail with

  The group `kvm' already exists and is not a system group. Exiting.

leaving `eudev` unconfigured.

I don't know if the `kvm` *must* be a system group but things 
have been working fine for me with a non-system group.  As long as
a non-system `kvm` group exists, configuring `eudev` will fail.
This is easily confirmed with

  $ sudo dpkg-reconfigure eudev
  The group `kvm' already exists and is not a system group. Exiting.

Changing the group to a system group fixes this behaviour.

I worked around the issue by appending `|| true` in the postscript
to the `adduser` command that tries to create the system group.

If the `kvm` group does not have to be a system group, I would expect
configuration to succeed if a non-system `kvm` group is present.

-- Package-specific info:

-- System Information:
Architecture: x86_64

Kernel: Linux 4.19.0-14-amd64 (SMP w/4 CPU cores)
Kernel taint flags: TAINT_OOT_MODULE, TAINT_UNSIGNED_MODULE
Locale: LANG=C.UTF-8, LC_CTYPE=C.UTF-8 (charmap=UTF-8), LANGUAGE=C.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)

Versions of packages eudev depends on:
ii  adduser      3.118
ii  debconf      1.5.71
ii  libblkid1    2.33.1-0.1+devuan1~beowulf2
ii  libc6        2.28-10
ii  libeudev1    3.2.9-8~beowulf1
ii  libkmod2     26-1
ii  libselinux1  2.8-1+b1
ii  lsb-base     10.2019051400
ii  procps       2:3.3.15-2+devuan1
ii  util-linux   2.33.1-0.1+devuan1~beowulf2

eudev recommends no packages.

eudev suggests no packages.

-- no debconf information